yast2 Software Repo's Error after Update to KDE 4.2.1

After doing update to KDE 4.2.1, I get this Error Message from Yast –> Software Repos, when I try to “Refresh All Enabled Repos”

URL:
Index of /repositories/KDE:/KDE4:/Factory:/Desktop/openSUSE_11.1
Error Message:
Download (curl) error for ‘http://download.opensuse.org/repositories/KDE:/KDE4:/Factory:/Desktop/openSUSE_11.1/repodata/repomd.xml’:
Error code: User abort
Error message: Callback aborted

I tried doing

rpmdb --rebuilddb
zypper refresh -b   (force build) 

from console, but that did not help.

I have the same problem, and someone else posted about it here as well](http://forums.opensuse.org/install-boot-login/408762-updater-looking-non-existent-file.html)

That repo is NOT 4.2.1
It is now beta 4.3

And you should not really be using it. If you want stability, remove it and use these repos for kde4
Index of /repositories/KDE:/42/openSUSE_11.1

Index of /repositories/KDE:/KDE4:/Community/openSUSE_11.1_KDE_42